commit:     cd50b3a9afb6ef8a8aff2687bc0468148da02d91
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 20 21:50:29 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Dec 20 22:03:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd50b3a9

dev-lua/luacheck: add 1.1.0

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luacheck/Manifest              |  1 +
 dev-lua/luacheck/luacheck-1.1.0.ebuild | 66 ++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-lua/luacheck/Manifest b/dev-lua/luacheck/Manifest
index 1e78ef845f84..c019ca4a72d3 100644
--- a/dev-lua/luacheck/Manifest
+++ b/dev-lua/luacheck/Manifest
@@ -1,2 +1,3 @@
 DIST luacheck-0.25.0.tar.gz 162675 BLAKE2B 
143de767f004cb485abc4952eafc4d02c16ca4d421397d0179113ddaeacc2cd7ba2b4b8eed48f9a05169c5e20ae53aaef8c5253ab1d7c7e4b178218fab0e03d6
 SHA512 
7f9f02464cb40462c321dd23e32263913ead2bf4eace6907d51a5b570a6a19a378b12660c98e63ca447cfc507dfb491d54b093af3962f12596a7c6088c8dc867
 DIST luacheck-1.0.0.tar.gz 177029 BLAKE2B 
f56315663f571c71944e4739956eb45600cfc324cbc6914a65ac45a6923f49cba7201bde18390d7ce7a374aa561680de05988c3a283c936658d1cda18f8f6b24
 SHA512 
f6703fb1b72b8ff8dd4b15bb1e5f7fa81607ee13505fd927e427f0b1043949c5dbc014020759dd8b63ec2013698b4086e773625bc925568970787c8e40e282cd
+DIST luacheck-1.1.0.tar.gz 178588 BLAKE2B 
9e1946cc3c88d7690d3cdb8e70be3dde1b863d1c55a6b5bef755715456671c13c862686f888098b878d10a2c1ec1b83ed6b26b01ebc884047c9908fa6bc2ead7
 SHA512 
aca1145b64070468ce8e3de1130f0cadba0dbef14ce61fef0a234ef5e890e69f1bd9dfebaa30c38a8e62405d08e1f0319748e00fc403ba093c5945ca438e0c40

diff --git a/dev-lua/luacheck/luacheck-1.1.0.ebuild 
b/dev-lua/luacheck/luacheck-1.1.0.ebuild
new file mode 100644
index 000000000000..19c86f745198
--- /dev/null
+++ b/dev-lua/luacheck/luacheck-1.1.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua
+
+DESCRIPTION="A tool for linting and static analysis of Lua code"
+HOMEPAGE="https://github.com/lunarmodules/luacheck";
+SRC_URI="https://github.com/lunarmodules/luacheck/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-lua/lua-argparse[${LUA_USEDEP}]
+       dev-lua/lua-utf8[${LUA_USEDEP}]
+       dev-lua/luafilesystem[${LUA_USEDEP}]
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( dev-python/sphinx )
+       test? (
+               dev-lua/busted[${LUA_USEDEP}]
+               dev-lua/lua_cliargs[${LUA_USEDEP}]
+               ${RDEPEND}
+       )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.23.0-disable-measuring-performance-test.patch" )
+
+src_compile() {
+       if use doc; then
+               sphinx-build docsrc html || die
+       fi
+}
+
+lua_src_test() {
+       busted --lua=${ELUA} || die
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       insinto "$(lua_get_lmod_dir)"
+       doins -r src/luacheck
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       newbin bin/luacheck.lua luacheck
+
+       use doc && local -a HTML_DOCS=( "html/." )
+       einstalldocs
+}

Reply via email to